Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractFloat64Aggregator Class Reference

`#include <coherence/util/aggregator/AbstractFloat64Aggregator.hpp>`

Inherits AbstractAggregator.

Inherited by Float64Average, Float64Max, Float64Min, and Float64Sum.

List of all members.

## Detailed Description

Abstract aggregator that processes numeric values extracted from a set of entries in a Map.

All the extracted Number objects will be treated as `float64_t` values and the result of the aggregator is a Float64. If the set of entries is empty, a `NULL` result is returned.

Author:
  djl 2008.05.09

## Public Types
typedef spec::Handle | Handle
| AbstractFloat64Aggregator Handle definition.
typedef spec::View | View
| AbstractFloat64Aggregator View definition.
typedef spec::Holder | Holder
| AbstractFloat64Aggregator Holder definition.
## Protected Member Functions
virtual void | init (bool fFinal)
  | Initialize the aggregation result. Parameters:
  | fFinal | true is passed if the aggregation process that is being initialized must produce a final aggregation result; this will only be false if a parallel approach is being used and the initial (partial) aggregation process is being initialized
virtual Object::Holder | finalizeResult (bool fFinal)
  | Obtain the result of the aggregation. If the `fFinal` parameter is true, the returned object must be the final result of the aggregation; otherwise, the returned object will be treated as a partial result that should be incorporated into the final result. Parameters:
  | fFinal | true to indicate that the final result of the aggregation process should be returned; this will only be false if a parallel approach is being used
Returns: the result of the aggregation process
## Protected Attributes
int32_t | m_count
| The count of processed entries.
float64_t | m_dflResult
| The running result value.

The documentation for this class was generated from the following file:

- coherence/util/aggregator/AbstractFloat64Aggregator.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.